/// <reference types="react" />
import { BorderTypes } from "./";
export declare const StyledDivider: import("@emotion/styled").StyledComponent<{
    theme?: import("@emotion/react").Theme;
    as?: import("react").ElementType<any>;
} & {
    dividerType: BorderTypes;
}, import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLHRElement>, HTMLHRElement>, {}>;
